xpra icon
Bug tracker and wiki

Opened 8 months ago

Closed 8 months ago

#1758 closed task (fixed)

pyopengl for ubuntu xenial

Reported by: Antoine Martin Owned by: Antoine Martin
Priority: major Milestone: 2.3
Component: packaging Version: 2.2.x
Keywords: ubuntu xenial pyopengl Cc:

Description

The version shipped by Ubuntu (and in Debian before that) was almost 2 years out of date when they released Ubuntu Xenial (aka 16.04): PyOpenGL 3.1.0 came out in June 2014!

Let's ship a more up to date version so we don't have to disable opengl on that distro. Too many users are stuck on LTS versions and won't be making the jump to 18.04 for quite some time.
opengl accelerated rendering is too important to miss.

Change History (1)

comment:1 Changed 8 months ago by Antoine Martin

Resolution: fixed
Status: newclosed

Done in r18214.

Benefits:

  • opengl should now work out of the box on Ubuntu 16.04 (bar driver issues...)
  • users will be able to install the accelerate module (using pip or easy_install) without completely breaking their installation

For examples of users doing the wrong thing, see:

Potential problems:

  • could trigger backwards compatibility problems with software that would have relied on the pyopengl 3.0 API - unlikely, AFAICT 3.1 is backwards compatible
  • could trigger driver bugs on systems which were previously running unaccelerated

I am closing this ticket right now because I don't think anyone else is likely to test this.

Note: See TracTickets for help on using tickets.